Subject: Re: bug#36912: JSON-related tests failing on latest master branch

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 05 Aug 2019 15:24:04 +0200

Brian Leung <[email-masked]> writes:

> For example, `make check TESTS="tests/swh.scm"` yields two failing tests.
> Running one of the package-manager test suites (such as gem.scm)` will also
> produce some failing tests.

This is not actually a bug.

We switched from Guile JSON 1.x to 3.x, which has a different
intermediate representation for JSON data structures.

swh.scm and all other modules have been modified, but when you run “guix
environment guix” you still get an environment with Guile JSON 1.x.
This leads to the test failure.

This problem disappears when you run “guix environment guix --ad-hoc
guile-json”; it will disappear when the “guix” package is upgraded to
point to the latest version of Guile JSON.

-- 
Ricardo